Bug 837 - Error in GUI pulse rate update...
Summary: Error in GUI pulse rate update...
Status: RESOLVED FIXED
Alias: None
Product: DIRSIG4
Classification: Unclassified
Component: dirsig_edit (show other bugs)
Version: 4.4.0-beta
Hardware: Other MacOS 10.4
: P5 minor
Assignee: Scott D. Brown
URL:
Depends on:
Blocks:
 
Reported: 2010-09-27 14:05 EDT by Adam Goodenough
Modified: 2011-11-25 12:12 EST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Goodenough 2010-09-27 14:05:01 EDT
The pulse rate in the GUI LiDAR transmitter summary is not being updated correctly. 

It appears to not be updated with the clock rate or maybe with an incorrect rate via the QDLidarSourceWidget::setPulseRate(..) interface (supposed to be driven by QDLidarEditorWidget). There might also be the potential for not taking into account an independent rate or a clock divider, but it's not clear how this is supposed to work just yet.

To reproduce, just load up any pulsed lidar run.
Comment 1 Scott D. Brown 2011-11-23 10:16:24 EST
Trying ti scoop up some old bugs. Which "summary" was this issue in?  The PRF doesn't appear to be in the current "Transmitter" summary, so maybe we resolved this already?
Comment 2 Adam Goodenough 2011-11-25 12:12:32 EST
That transmitter summary is long gone, I'm marking this as resolved